<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_descomplica_logins = array();
	$tdatasenuc_descomplica_logins[".NumberOfChars"] = 80; 
	$tdatasenuc_descomplica_logins[".ShortName"] = "senuc_descomplica_logins";
	$tdatasenuc_descomplica_logins[".OwnerID"] = "";
	$tdatasenuc_descomplica_logins[".OriginalTable"] = "senuc_descomplica_logins";

//	field labels
$fieldLabelssenuc_descomplica_logins = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["login"] = "Login";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["login"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["senha_inicial"] = "Senha Inicial";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["senha_inicial"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["situacao"] = "Situacao";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["situacao"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["id_aluno"] = "Aluno";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["id_aluno"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["id_nucleo"] = "Nucleo";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["id_nucleo"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["id_regional"] = "Regional";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["id_regional"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelssenuc_descomplica_logins["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]["operador"] = "";
	if (count($fieldToolTipssenuc_descomplica_logins["Portuguese(Brazil)"]))
		$tdatasenuc_descomplica_logins[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_descomplica_logins[".NCSearch"] = true;



$tdatasenuc_descomplica_logins[".shortTableName"] = "senuc_descomplica_logins";
$tdatasenuc_descomplica_logins[".nSecOptions"] = 0;
$tdatasenuc_descomplica_logins[".recsPerRowList"] = 1;
$tdatasenuc_descomplica_logins[".mainTableOwnerID"] = "";
$tdatasenuc_descomplica_logins[".moveNext"] = 1;
$tdatasenuc_descomplica_logins[".nType"] = 0;

$tdatasenuc_descomplica_logins[".strOriginalTableName"] = "senuc_descomplica_logins";




$tdatasenuc_descomplica_logins[".showAddInPopup"] = true;

$tdatasenuc_descomplica_logins[".showEditInPopup"] = true;

$tdatasenuc_descomplica_logins[".showViewInPopup"] = true;

$tdatasenuc_descomplica_logins[".fieldsForRegister"] = array();

$tdatasenuc_descomplica_logins[".listAjax"] = false;

	$tdatasenuc_descomplica_logins[".audit"] = false;

	$tdatasenuc_descomplica_logins[".locking"] = false;

$tdatasenuc_descomplica_logins[".listIcons"] = true;
$tdatasenuc_descomplica_logins[".edit"] = true;
$tdatasenuc_descomplica_logins[".view"] = true;

$tdatasenuc_descomplica_logins[".exportTo"] = true;

$tdatasenuc_descomplica_logins[".printFriendly"] = true;

$tdatasenuc_descomplica_logins[".delete"] = true;

$tdatasenuc_descomplica_logins[".showSimpleSearchOptions"] = false;

$tdatasenuc_descomplica_logins[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_descomplica_logins[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_descomplica_logins[".isUseAjaxSuggest"] = true;

$tdatasenuc_descomplica_logins[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_descomplica_logins[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_descomplica_logins[".isUseTimeForSearch"] = false;



$tdatasenuc_descomplica_logins[".useDetailsPreview"] = true;

$tdatasenuc_descomplica_logins[".allSearchFields"] = array();

$tdatasenuc_descomplica_logins[".allSearchFields"][] = "login";
$tdatasenuc_descomplica_logins[".allSearchFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".allSearchFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".allSearchFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".allSearchFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".allSearchFields"][] = "id_regional";

$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "id";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "login";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "id_regional";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "data";
$tdatasenuc_descomplica_logins[".googleLikeFields"][] = "operador";


$tdatasenuc_descomplica_logins[".advSearchFields"][] = "login";
$tdatasenuc_descomplica_logins[".advSearchFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".advSearchFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".advSearchFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".advSearchFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".advSearchFields"][] = "id_regional";

$tdatasenuc_descomplica_logins[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main
	


$tdatasenuc_descomplica_logins[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY situacao DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_descomplica_logins[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_descomplica_logins[".orderindexes"] = array();
$tdatasenuc_descomplica_logins[".orderindexes"][] = array(4, (0 ? "ASC" : "DESC"), "situacao");

$tdatasenuc_descomplica_logins[".sqlHead"] = "SELECT id,  login,  senha_inicial,  situacao,  id_aluno,  id_nucleo,  id_regional,  `data`,  operador";
$tdatasenuc_descomplica_logins[".sqlFrom"] = "FROM senuc_descomplica_logins";
$tdatasenuc_descomplica_logins[".sqlWhereExpr"] = "";
$tdatasenuc_descomplica_logins[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_descomplica_logins[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_descomplica_logins[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_descomplica_logins = array();
$tableKeyssenuc_descomplica_logins[] = "id";
$tdatasenuc_descomplica_logins[".Keys"] = $tableKeyssenuc_descomplica_logins;

$tdatasenuc_descomplica_logins[".listFields"] = array();
$tdatasenuc_descomplica_logins[".listFields"][] = "login";
$tdatasenuc_descomplica_logins[".listFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".listFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".listFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".listFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".listFields"][] = "id_regional";
$tdatasenuc_descomplica_logins[".listFields"][] = "data";
$tdatasenuc_descomplica_logins[".listFields"][] = "operador";

$tdatasenuc_descomplica_logins[".viewFields"] = array();
$tdatasenuc_descomplica_logins[".viewFields"][] = "login";
$tdatasenuc_descomplica_logins[".viewFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".viewFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".viewFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".viewFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".viewFields"][] = "id_regional";
$tdatasenuc_descomplica_logins[".viewFields"][] = "data";
$tdatasenuc_descomplica_logins[".viewFields"][] = "operador";

$tdatasenuc_descomplica_logins[".addFields"] = array();
$tdatasenuc_descomplica_logins[".addFields"][] = "login";
$tdatasenuc_descomplica_logins[".addFields"][] = "senha_inicial";

$tdatasenuc_descomplica_logins[".inlineAddFields"] = array();

$tdatasenuc_descomplica_logins[".editFields"] = array();
$tdatasenuc_descomplica_logins[".editFields"][] = "login";
$tdatasenuc_descomplica_logins[".editFields"][] = "senha_inicial";

$tdatasenuc_descomplica_logins[".inlineEditFields"] = array();

$tdatasenuc_descomplica_logins[".exportFields"] = array();
$tdatasenuc_descomplica_logins[".exportFields"][] = "login";
$tdatasenuc_descomplica_logins[".exportFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".exportFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".exportFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".exportFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".exportFields"][] = "id_regional";
$tdatasenuc_descomplica_logins[".exportFields"][] = "data";
$tdatasenuc_descomplica_logins[".exportFields"][] = "operador";

$tdatasenuc_descomplica_logins[".printFields"] = array();
$tdatasenuc_descomplica_logins[".printFields"][] = "login";
$tdatasenuc_descomplica_logins[".printFields"][] = "senha_inicial";
$tdatasenuc_descomplica_logins[".printFields"][] = "situacao";
$tdatasenuc_descomplica_logins[".printFields"][] = "id_aluno";
$tdatasenuc_descomplica_logins[".printFields"][] = "id_nucleo";
$tdatasenuc_descomplica_logins[".printFields"][] = "id_regional";
$tdatasenuc_descomplica_logins[".printFields"][] = "data";
$tdatasenuc_descomplica_logins[".printFields"][] = "operador";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["id"] = $fdata;
//	login
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "login";
	$fdata["GoodName"] = "login";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Login"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "login"; 
		$fdata["FullName"] = "login";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["login"] = $fdata;
//	senha_inicial
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "senha_inicial";
	$fdata["GoodName"] = "senha_inicial";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Senha Inicial"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "senha_inicial"; 
		$fdata["FullName"] = "senha_inicial";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["senha_inicial"] = $fdata;
//	situacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "situacao";
	$fdata["GoodName"] = "situacao";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Situacao"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "situacao"; 
		$fdata["FullName"] = "situacao";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Custom");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Readonly");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["situacao"] = $fdata;
//	id_aluno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "id_aluno";
	$fdata["GoodName"] = "id_aluno";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Aluno"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_aluno"; 
		$fdata["FullName"] = "id_aluno";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_aluno";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["id_aluno"] = $fdata;
//	id_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "id_nucleo";
	$fdata["GoodName"] = "id_nucleo";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Nucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_nucleo"; 
		$fdata["FullName"] = "id_nucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["id_nucleo"] = $fdata;
//	id_regional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "id_regional";
	$fdata["GoodName"] = "id_regional";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Regional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_regional"; 
		$fdata["FullName"] = "id_regional";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "regional";
	
		
	$edata["LookupTable"] = "regionais";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["id_regional"] = $fdata;
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Data"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data"; 
		$fdata["FullName"] = "`data`";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["data"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_descomplica_logins";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "operador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "email";
	
		
	$edata["LookupTable"] = "senuc_login";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_logins["operador"] = $fdata;

	
$tables_data["senuc_descomplica_logins"]=&$tdatasenuc_descomplica_logins;
$field_labels["senuc_descomplica_logins"] = &$fieldLabelssenuc_descomplica_logins;
$fieldToolTips["senuc_descomplica_logins"] = &$fieldToolTipssenuc_descomplica_logins;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_descomplica_logins"] = array();
$dIndex = 1-1;
			$strOriginalDetailsTable="senuc_descomplica";
	$detailsParam["dDataSourceTable"]="senuc_descomplica";
	$detailsParam["dOriginalTable"]=$strOriginalDetailsTable;
	$detailsParam["dShortTable"]="senuc_descomplica";
	$detailsParam["masterKeys"]=array();
	$detailsParam["detailKeys"]=array();
	$detailsParam["dispChildCount"]= "1";
	$detailsParam["hideChild"]="0";
	$detailsParam["previewOnList"]= 1;
	$detailsParam["previewOnAdd"]= 0;
	$detailsParam["previewOnEdit"]= 0;
	$detailsParam["previewOnView"]= 0;
		
	$detailsTablesData["senuc_descomplica_logins"][$dIndex] = $detailsParam;
	
		
		$detailsTablesData["senuc_descomplica_logins"][$dIndex]["masterKeys"][]="login";
		$detailsTablesData["senuc_descomplica_logins"][$dIndex]["detailKeys"][]="login";

	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_descomplica_logins"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_descomplica_logins()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  login,  senha_inicial,  situacao,  id_aluno,  id_nucleo,  id_regional,  `data`,  operador";
$proto0["m_strFrom"] = "FROM senuc_descomplica_logins";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY situacao DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "login",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "senha_inicial",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "situacao",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "id_aluno",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "id_nucleo",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "id_regional",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto23=array();
$proto23["m_link"] = "SQLL_MAIN";
			$proto24=array();
$proto24["m_strName"] = "senuc_descomplica_logins";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "id";
$proto24["m_columns"][] = "login";
$proto24["m_columns"][] = "senha_inicial";
$proto24["m_columns"][] = "situacao";
$proto24["m_columns"][] = "id_aluno";
$proto24["m_columns"][] = "id_nucleo";
$proto24["m_columns"][] = "id_regional";
$proto24["m_columns"][] = "data";
$proto24["m_columns"][] = "operador";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_alias"] = "";
$proto25=array();
$proto25["m_sql"] = "";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = "0";
$proto25["m_inBrackets"] = "0";
$proto25["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto27=array();
						$obj = new SQLField(array(
	"m_strName" => "situacao",
	"m_strTable" => "senuc_descomplica_logins"
));

$proto27["m_column"]=$obj;
$proto27["m_bAsc"] = 0;
$proto27["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto27);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_descomplica_logins = createSqlQuery_senuc_descomplica_logins();
									$tdatasenuc_descomplica_logins[".sqlquery"] = $queryData_senuc_descomplica_logins;
	
if(isset($tdatasenuc_descomplica_logins["field2"])){
	$tdatasenuc_descomplica_logins["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_descomplica_logins["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_descomplica_logins["field2"]["LookupType"] = 4;
	$tdatasenuc_descomplica_logins["field2"]["LinkField"] = "email";
	$tdatasenuc_descomplica_logins["field2"]["DisplayField"] = "name";
	$tdatasenuc_descomplica_logins[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_descomplica_logins_events.php"));
$tableEvents["senuc_descomplica_logins"] = new eventclass_senuc_descomplica_logins;
$tdatasenuc_descomplica_logins[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_descomplica_logins");

?>